<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".LevelActivity"
    android:background="@drawable/bc">

    <TextView
        android:id="@+id/textView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="30dp"
        android:text="Difficulty"
        android:textColor="@color/black"
        android:textSize="30dp"
        app:layout_constraintTop_toBottomOf="@+id/GameRadioGroup"
        tools:layout_editor_absoluteX="47dp"
        tools:ignore="MissingConstraints"></TextView>

    <TextView
        android:id="@+id/textView4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingTop="50dp"
        android:text="Game"
        android:textColor="@color/black"
        android:textSize="30dp"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_editor_absoluteX="49dp"></TextView>

    <TextView
        android:id="@+id/textView2"
        android:layout_width="130dp"
        android:layout_height="51dp"
        android:layout_margin="30dp"
        android:text="Category"
        android:textColor="@color/black"
        android:textSize="30dp"
        app:layout_constraintTop_toBottomOf="@+id/DifficultyRadioGroup"
        tools:layout_editor_absoluteX="47dp"></TextView>

    <RadioGroup
        android:id="@+id/CategoryRadioGroup"
        android:layout_width="318dp"
        android:layout_height="97dp"
        app:layout_constraintTop_toBottomOf="@+id/textView2"
        tools:layout_editor_absoluteX="47dp"
        tools:ignore="MissingConstraints">

        <RadioButton
            android:id="@+id/CategoryRadioButtonGeneralKnowledge"
            android:layout_width="match_parent"
            android:layout_height="36dp"
            android:layout_weight="3"
            android:text="General Knowledge" />

        <RadioButton
            android:id="@+id/CategoryRadioButtonScienceNature"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_weight="3"
            android:text="Science and Nature" />

        <RadioButton
            android:id="@+id/CategoryRadioButtonPolitics"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_weight="3"
            android:text="Politics" />

    </RadioGroup>

    <RadioGroup
        android:id="@+id/GameRadioGroup"
        android:layout_width="317dp"
        android:layout_height="28dp"
        android:orientation="horizontal"
        app:layout_constraintTop_toBottomOf="@+id/textView4"
        tools:layout_editor_absoluteX="47dp"
        tools:ignore="MissingConstraints">

        <RadioButton
            android:id="@+id/GameRadioButtonBD"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:text="Game (Hint)" />

        <RadioButton
            android:id="@+id/GameRadioButtonJSON"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:text="Game (JSON)" />
    </RadioGroup>

    <RadioGroup
        android:id="@+id/DifficultyRadioGroup"
        android:layout_width="318dp"
        android:layout_height="97dp"
        app:layout_constraintTop_toBottomOf="@+id/textView"
        tools:layout_editor_absoluteX="47dp"
        tools:ignore="MissingConstraints">

        <RadioButton
            android:id="@+id/DifficultyRadioButtonEasy"
            android:layout_width="match_parent"
            android:layout_height="36dp"
            android:layout_weight="3"
            android:text="Easy" />

        <RadioButton
            android:id="@+id/DifficultyRadioButtonMedium"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_weight="3"
            android:text="Medium" />

        <RadioButton
            android:id="@+id/DifficultyRadioButtonHard"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_weight="3"
            android:text="Hard" />

    </RadioGroup>

    <Button
        android:id="@+id/Start"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Start"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/CategoryRadioGroup" />


</androidx.constraintlayout.widget.ConstraintLayout>